Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedit.syntax
Class SyntaxStyle

    java.lang.Object
      jedit.syntax.SyntaxStyle

    public class SyntaxStyle

extends java.lang.Object

A simple text style class. It can specify the color, italic flag, and bold flag of a run of text.

Version:
  $Id: SyntaxStyle.java,v 1.1 2004/05/05 10:44:26 jferber Exp $
Author:
  Slava Pestov

Constructor Summary
`SyntaxStyle(java.awt.Color color, boolean italic, boolean bold)` Creates a new SyntaxStyle.

Method Summary
`java.awt.Color` | `getColor()` Returns the color specified in this style.
`java.awt.FontMetrics` | `getFontMetrics(java.awt.Font font)` Returns the font metrics for the styled font.
`java.awt.Font` | `getStyledFont(java.awt.Font font)` Returns the specified font, but with the style's bold and italic flags applied.
`boolean` | `isBold()` Returns true if boldface is enabled for this style.
`boolean` | `isItalic()` Returns true if italics is enabled for this style.
`boolean` | `isPlain()` Returns true if no font styles are enabled.
`void` | `setGraphicsFlags(java.awt.Graphics gfx, java.awt.Font font)` Sets the foreground color and font of the specified graphics context to that specified in this style.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyntaxStyle

    public SyntaxStyle(java.awt.Color color,
                       boolean italic,
                       boolean bold)

  Creates a new SyntaxStyle.

  Parameters:
    `color` - The text color
    `italic` - True if the text should be italics
    `bold` - True if the text should be bold

Method Detail

### getColor

    public java.awt.Color getColor()

  Returns the color specified in this style.

### isPlain

    public boolean isPlain()

  Returns true if no font styles are enabled.

### isItalic

    public boolean isItalic()

  Returns true if italics is enabled for this style.

### isBold

    public boolean isBold()

  Returns true if boldface is enabled for this style.

### getStyledFont

    public java.awt.Font getStyledFont(java.awt.Font font)

  Returns the specified font, but with the style's bold and italic flags applied.

### getFontMetrics

    public java.awt.FontMetrics getFontMetrics(java.awt.Font font)

  Returns the font metrics for the styled font.

### setGraphicsFlags

    public void setGraphicsFlags(java.awt.Graphics gfx,
                                 java.awt.Font font)

  Sets the foreground color and font of the specified graphics context to that specified in this style.

  Parameters:
    `gfx` - The graphics context
    `font` - The font to add the styles to

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.